Bug Hunting Session
Bug 79062 - FILESAVE: File having Footnote with Text Effect got corrupted after RT
Summary: FILESAVE: File having Footnote with Text Effect got corrupted after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other Linux (All)
: medium normal
Assignee: Ravindra Vidhate
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 08:11 UTC by Ravindra Vidhate
Modified: 2014-06-11 14:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
FootNote File (16.35 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-22 08:11 UTC, Ravindra Vidhate
Details
EndNote File (16.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-22 08:11 UTC, Ravindra Vidhate
Details
same docx file with the removal of the text effect text (16.11 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-26 00:15 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ravindra Vidhate 2014-05-22 08:11:10 UTC
Created attachment 99563 [details]
FootNote File

Problem description: 

Steps to reproduce:
1. Open DOCX file in LO which contains footnote with text effect.
2. Export the file in DOCX format.
3. Open the exported file in MS Office.

Current behavior:
The file is getting corrupted.

Expected behavior:
The file should not get corrupted.
In the footnotes.xml, the w14 namespaces were not being added.

This is issue exists for EndNote as well.
              
Operating System: Ubuntu
Version: 4.3.0.0.alpha0+ Master
Comment 1 Ravindra Vidhate 2014-05-22 08:11:46 UTC
Created attachment 99564 [details]
EndNote File
Comment 2 Yousuf Philips (jay) (retired) 2014-05-26 00:12:37 UTC
Confirmed in 4.3 beta 1.

If the text with text effect is removed from the original file in word 2010 and then opened in libo and then exported as a docx file, and then the exported docx file is then reopened in word 2010, it will not give the corruption warning.
Comment 3 Yousuf Philips (jay) (retired) 2014-05-26 00:15:43 UTC
Created attachment 99814 [details]
same docx file with the removal of the text effect text
Comment 4 Commit Notification 2014-05-26 07:11:02 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4002fae08754aec38873bc453f991773ec6536f0

fdo#79062 File having Footnote with Text Effect got corrupted after RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-06-11 14:39:25 UTC
Ravindra Vidhate committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37f93938ad4520cebf1e9cca7859cbf77ab5f766&h=libreoffice-4-3

fdo#79062 File having Footnote with Text Effect got corrupted after RT


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.